New System Requirements for Upcoming TYPO3 v12

 

 

Outline of the new requirements:

PHP 8.1+ (Up From PHP 7.4+)

PHP 8.1 was initially released in 2021, and will have security support until November 2024. We plan to also include PHP 8.2 support (the final release is expected in November 2022). PHP 8.1 allows us to raise our dependencies such as Symfony 6+ (which requires PHP 8.0) for TYPO3 v12. TYPO3 v11 already runs with PHP 8.1 support, so upgrading from TYPO3 v11 to v12 will be possible without changing the underlying PHP version.

Supported Database Engines

For future TYPO3 versions, we want to make use of newer database functionality such as JSON data types and CTEs (common table expressions), which is why we explicitly define required versions.

MySQL 8.0+

MySQL 8.0 was released in April 2018. By the time TYPO3 v12 LTS will be released, MySQL 8.0 will have been stable for 5 years, and we plan to include functionality included in MySQL 8.0. Previous TYPO3 versions could run on MySQL 5.5 or higher. MySQL 8.0 is already available in major Linux distributions.

MariaDB 10.3+

TYPO3 v12 will require MariaDB 10.3 or higher. MariaDB is an alternative to MySQL. MariaDB 10.3 is already available in major Linux distributions.

PostgreSQL 10.0+

Unlike previous TYPO3 versions, we will define a minimum PostgreSQL version. PostgreSQL v10.0 was released in 2017, major Linux distributions support this version.

SQLite 3.8.3+

SQLite, which is usually bundled with PHP versions, will require version 3.8.3; with possible extensions such as FTS5 for full-text search in for example, TYPO3’s indexed search functionality.

No Support for Microsoft SQL Server

We are planning to drop official support for Microsoft SQL Server. This means we will no longer  ship a dedicated SQL Server driver for our Doctrine Mapper, and we won’t  run our test-suite against SQL Server anymore.

Browser Support

As with previous versions, we plan to support common browsers in their evergreen state with a Market Share > 1% for mobile and desktop versions, such as Firefox, Google Chrome, Microsoft Edge and Apple Safari.

We will shortly incorporate our main development branch to use these versions, and include features available with these versions.